--- old/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-05-08 18:10:25.465221256 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-05-08 18:10:25.472687832 -0400
@@ -11057,8 +11057,8 @@
 	/*
 	 * The way that the address space of this process deletes its mapping
 	 * of this file is via the following call chains:
-	 * - as_free()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
-	 * - as_unmap()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
+	 * - as_free()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
+	 * - as_unmap()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
 	 *
 	 * With the use of address space callbacks we are allowed to drop the
 	 * address space lock, a_lock, while executing the NFS operations that
--- old/usr/src/uts/common/fs/nfs/nfs_srv.c	2015-05-08 18:10:26.131605999 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_srv.c	2015-05-08 18:10:26.138475200 -0400
@@ -1215,8 +1215,6 @@
 	nrp->ro = ro;
 	nrp->thread = curthread;
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
-
 	/*
 	 * Look to see if there is already a cluster started
 	 * for this file.
--- old/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-05-08 18:10:26.410554697 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-05-08 18:10:26.417457707 -0400
@@ -4672,8 +4672,8 @@
 	/*
 	 * The way that the address space of this process deletes its mapping
 	 * of this file is via the following call chains:
-	 * - as_free()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
-	 * - as_unmap()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
+	 * - as_free()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
+	 * - as_unmap()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
 	 *
 	 * With the use of address space callbacks we are allowed to drop the
 	 * address space lock, a_lock, while executing the NFS operations that
--- old/usr/src/uts/common/fs/proc/prioctl.c	2015-05-08 18:10:26.753238954 -0400
+++ new/usr/src/uts/common/fs/proc/prioctl.c	2015-05-08 18:10:26.760229904 -0400
@@ -3146,7 +3146,7 @@
 		seg = as_segat(as, va);
 		if (seg != NULL &&
 		    seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, va, &xvp) == 0 &&
+		    segop_getvp(seg, va, &xvp) == 0 &&
 		    xvp != NULL &&
 		    xvp->v_type == VREG) {
 			VN_HOLD(xvp);
@@ -3551,7 +3551,7 @@
 
 			mp->pr_vaddr = saddr;
 			mp->pr_size = naddr - saddr;
-			mp->pr_off = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_off = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -3559,7 +3559,7 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -3611,7 +3611,7 @@
 
 			mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			mp->pr_size = (size32_t)(naddr - saddr);
-			mp->pr_off = (off32_t)SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_off = (off32_t)segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -3619,7 +3619,7 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -3753,7 +3753,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -3779,7 +3779,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = saddr;
 			pmp->pr_npage = npage;
-			pmp->pr_off = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_off = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -3787,7 +3787,7 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
 			pmp->pr_pagesize = PAGESIZE;
 			hat_getstat(as, saddr, len, hatid,
@@ -3860,7 +3860,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -3886,7 +3886,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (uint32_t)(uintptr_t)saddr;
 			pmp->pr_npage = (uint32_t)npage;
-			pmp->pr_off = (int32_t)SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_off = (int32_t)segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -3894,7 +3894,7 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
 			pmp->pr_pagesize = PAGESIZE;
 			hat_getstat(as, saddr, len, hatid,
--- old/usr/src/uts/common/fs/proc/prsubr.c	2015-05-08 18:10:27.064954828 -0400
+++ new/usr/src/uts/common/fs/proc/prsubr.c	2015-05-08 18:10:27.072025151 -0400
@@ -97,8 +97,8 @@
 
 size_t pagev_lim = 256 * 1024;	/* limit on number of pages in prpagev_t */
 
-extern struct seg_ops segdev_ops;	/* needs a header file */
-extern struct seg_ops segspt_shmops;	/* needs a header file */
+extern const struct seg_ops segdev_ops;	/* needs a header file */
+extern const struct seg_ops segspt_shmops;	/* needs a header file */
 
 static	int	set_watched_page(proc_t *, caddr_t, caddr_t, ulong_t, ulong_t);
 static	void	clear_watched_page(proc_t *, caddr_t, caddr_t, ulong_t);
@@ -1483,7 +1483,7 @@
 		addr += p->p_brksize - 1;
 	seg = as_segat(p->p_as, addr);
 	if (seg != NULL && seg->s_ops == &segvn_ops &&
-	    (SEGOP_GETVP(seg, seg->s_base, &vp) != 0 || vp == NULL))
+	    (segop_getvp(seg, seg->s_base, &vp) != 0 || vp == NULL))
 		return (seg);
 	return (NULL);
 }
@@ -1648,7 +1648,7 @@
 
 			mp->pr_vaddr = (uintptr_t)saddr;
 			mp->pr_size = naddr - saddr;
-			mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_offset = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -1656,13 +1656,13 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				mp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				mp->pr_mflags |= MA_ANON;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -1688,7 +1688,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -1759,7 +1759,7 @@
 
 			mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			mp->pr_size = (size32_t)(naddr - saddr);
-			mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_offset = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -1767,13 +1767,13 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				mp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				mp->pr_mflags |= MA_ANON;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -1800,7 +1800,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -1953,7 +1953,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -1979,7 +1979,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (uintptr_t)saddr;
 			pmp->pr_npage = npage;
-			pmp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_offset = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -1987,13 +1987,13 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				pmp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				pmp->pr_mflags |= MA_ANON;
 			if (seg->s_ops == &segspt_shmops)
 				pmp->pr_mflags |= MA_ISM | MA_SHM;
@@ -2003,7 +2003,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -2100,7 +2100,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -2126,7 +2126,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			pmp->pr_npage = (size32_t)npage;
-			pmp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_offset = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -2134,13 +2134,13 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				pmp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				pmp->pr_mflags |= MA_ANON;
 			if (seg->s_ops == &segspt_shmops)
 				pmp->pr_mflags |= MA_ISM | MA_SHM;
@@ -2150,7 +2150,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -3328,7 +3328,7 @@
 			if ((pwp->wp_prot != prot ||
 			    (pwp->wp_flags & WP_NOWATCH)) &&
 			    (seg = as_segat(as, addr)) != NULL) {
-				err = SEGOP_SETPROT(seg, addr, PAGESIZE, prot);
+				err = segop_setprot(seg, addr, PAGESIZE, prot);
 				if (err == IE_RETRY) {
 					ASSERT(retrycnt == 0);
 					retrycnt++;
@@ -3434,7 +3434,7 @@
 		vaddr = pwp->wp_vaddr;
 		if (pwp->wp_oprot == 0 &&
 		    (seg = as_segat(as, vaddr)) != NULL) {
-			SEGOP_GETPROT(seg, vaddr, 0, &prot);
+			segop_getprot(seg, vaddr, 0, &prot);
 			pwp->wp_oprot = (uchar_t)prot;
 			pwp->wp_prot = (uchar_t)prot;
 		}
@@ -3640,7 +3640,7 @@
 		 * INCORE cleverly has different semantics than GETPROT:
 		 * it returns info on pages up to but NOT including addr + len.
 		 */
-		SEGOP_INCORE(seg, addr, len, pagev->pg_incore);
+		segop_incore(seg, addr, len, pagev->pg_incore);
 		pn = pagev->pg_pnbase;
 
 		do {
@@ -3668,7 +3668,7 @@
 	 * first byte of the page just past the end of what we want.
 	 */
 out:
-	SEGOP_GETPROT(seg, saddr, len - 1, pagev->pg_protv);
+	segop_getprot(seg, saddr, len - 1, pagev->pg_protv);
 	return (addr);
 }
 
@@ -3789,12 +3789,12 @@
 
 		vattr.va_mask = AT_SIZE;
 
-		if (SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		if (segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 
 			u_offset_t fsize = vattr.va_size;
-			u_offset_t offset = SEGOP_GETOFFSET(seg, seg->s_base);
+			u_offset_t offset = segop_getoffset(seg, seg->s_base);
 
 			if (fsize < offset)
 				fsize = 0;
@@ -3824,7 +3824,7 @@
 	 * MAP_SHARED nor MAP_PRIVATE.
 	 */
 	if (seg->s_ops == &segdev_ops &&
-	    ((SEGOP_GETTYPE(seg, seg->s_base) &
+	    ((segop_gettype(seg, seg->s_base) &
 	    (MAP_SHARED | MAP_PRIVATE)) == 0))
 		return (0);
 
@@ -4055,7 +4055,7 @@
 
 				mp->pr_vaddr = (uintptr_t)saddr;
 				mp->pr_size = naddr - saddr;
-				mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+				mp->pr_offset = segop_getoffset(seg, saddr);
 				mp->pr_mflags = 0;
 				if (prot & PROT_READ)
 					mp->pr_mflags |= MA_READ;
@@ -4063,13 +4063,13 @@
 					mp->pr_mflags |= MA_WRITE;
 				if (prot & PROT_EXEC)
 					mp->pr_mflags |= MA_EXEC;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+				if (segop_gettype(seg, saddr) & MAP_SHARED)
 					mp->pr_mflags |= MA_SHARED;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+				if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 					mp->pr_mflags |= MA_NORESERVE;
 				if (seg->s_ops == &segspt_shmops ||
 				    (seg->s_ops == &segvn_ops &&
-				    (SEGOP_GETVP(seg, saddr, &vp) != 0 ||
+				    (segop_getvp(seg, saddr, &vp) != 0 ||
 				    vp == NULL)))
 					mp->pr_mflags |= MA_ANON;
 				if (seg == brkseg)
@@ -4092,7 +4092,7 @@
 				mp->pr_dev = PRNODEV;
 				vattr.va_mask = AT_FSID|AT_NODEID;
 				if (seg->s_ops == &segvn_ops &&
-				    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+				    segop_getvp(seg, saddr, &vp) == 0 &&
 				    vp != NULL && vp->v_type == VREG &&
 				    VOP_GETATTR(vp, &vattr, 0, CRED(),
 				    NULL) == 0) {
@@ -4124,7 +4124,7 @@
 				    PAGESHIFT;
 				parr = kmem_zalloc(npages, KM_SLEEP);
 
-				SEGOP_INCORE(seg, saddr, naddr - saddr, parr);
+				segop_incore(seg, saddr, naddr - saddr, parr);
 
 				for (pagenum = 0; pagenum < npages; pagenum++) {
 					if (parr[pagenum] & SEG_PAGE_INCORE)
@@ -4239,7 +4239,7 @@
 
 				mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 				mp->pr_size = (size32_t)(naddr - saddr);
-				mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+				mp->pr_offset = segop_getoffset(seg, saddr);
 				mp->pr_mflags = 0;
 				if (prot & PROT_READ)
 					mp->pr_mflags |= MA_READ;
@@ -4247,13 +4247,13 @@
 					mp->pr_mflags |= MA_WRITE;
 				if (prot & PROT_EXEC)
 					mp->pr_mflags |= MA_EXEC;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+				if (segop_gettype(seg, saddr) & MAP_SHARED)
 					mp->pr_mflags |= MA_SHARED;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+				if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 					mp->pr_mflags |= MA_NORESERVE;
 				if (seg->s_ops == &segspt_shmops ||
 				    (seg->s_ops == &segvn_ops &&
-				    (SEGOP_GETVP(seg, saddr, &vp) != 0 ||
+				    (segop_getvp(seg, saddr, &vp) != 0 ||
 				    vp == NULL)))
 					mp->pr_mflags |= MA_ANON;
 				if (seg == brkseg)
@@ -4276,7 +4276,7 @@
 				mp->pr_dev = PRNODEV32;
 				vattr.va_mask = AT_FSID|AT_NODEID;
 				if (seg->s_ops == &segvn_ops &&
-				    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+				    segop_getvp(seg, saddr, &vp) == 0 &&
 				    vp != NULL && vp->v_type == VREG &&
 				    VOP_GETATTR(vp, &vattr, 0, CRED(),
 				    NULL) == 0) {
@@ -4309,7 +4309,7 @@
 				    PAGESHIFT;
 				parr = kmem_zalloc(npages, KM_SLEEP);
 
-				SEGOP_INCORE(seg, saddr, naddr - saddr, parr);
+				segop_incore(seg, saddr, naddr - saddr, parr);
 
 				for (pagenum = 0; pagenum < npages; pagenum++) {
 					if (parr[pagenum] & SEG_PAGE_INCORE)
--- old/usr/src/uts/common/fs/proc/prvnops.c	2015-05-08 18:10:27.415652476 -0400
+++ new/usr/src/uts/common/fs/proc/prvnops.c	2015-05-08 18:10:27.422610948 -0400
@@ -3708,7 +3708,7 @@
 		 */
 		vattr.va_mask = AT_FSID|AT_NODEID;
 		if (seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		    segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 			char name[64];
@@ -4159,7 +4159,7 @@
 					 */
 					vattr.va_mask = AT_FSID|AT_NODEID;
 					if (seg->s_ops == &segvn_ops &&
-					    SEGOP_GETVP(seg, seg->s_base, &vp)
+					    segop_getvp(seg, seg->s_base, &vp)
 					    == 0 &&
 					    vp != NULL && vp->v_type == VREG &&
 					    VOP_GETATTR(vp, &vattr, 0, CRED(),
@@ -4860,7 +4860,7 @@
 	do {
 		vattr.va_mask = AT_FSID|AT_NODEID;
 		if (seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		    segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 			for (i = 0; i < nentries; i++)
--- old/usr/src/uts/common/io/mem.c	2015-05-08 18:10:27.786605398 -0400
+++ new/usr/src/uts/common/io/mem.c	2015-05-08 18:10:27.793437875 -0400
@@ -290,7 +290,7 @@
 
 	AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 	seg = as_segat(as, va);
-	i = (seg != NULL)? SEGOP_CAPABLE(seg, S_CAPABILITY_NOMINFLT) : 0;
+	i = (seg != NULL)? segop_capable(seg, S_CAPABILITY_NOMINFLT) : 0;
 	AS_LOCK_EXIT(as, &as->a_lock);
 
 	return (i);
--- old/usr/src/uts/common/os/clock.c	2015-05-08 18:10:28.007591920 -0400
+++ new/usr/src/uts/common/os/clock.c	2015-05-08 18:10:28.014710963 -0400
@@ -902,44 +902,6 @@
 			calcloadavg(genloadavg(&cpupart->cp_loadavg),
 			    cpupart->cp_hp_avenrun);
 		} while ((cpupart = cpupart->cp_next) != cp_list_head);
-
-		/*
-		 * Wake up the swapper thread if necessary.
-		 */
-		if (runin ||
-		    (runout && (avefree < desfree || wake_sched_sec))) {
-			t = &t0;
-			thread_lock(t);
-			if (t->t_state == TS_STOPPED) {
-				runin = runout = 0;
-				wake_sched_sec = 0;
-				t->t_whystop = 0;
-				t->t_whatstop = 0;
-				t->t_schedflag &= ~TS_ALLSTART;
-				THREAD_TRANSITION(t);
-				setfrontdq(t);
-			}
-			thread_unlock(t);
-		}
-	}
-
-	/*
-	 * Wake up the swapper if any high priority swapped-out threads
-	 * became runable during the last tick.
-	 */
-	if (wake_sched) {
-		t = &t0;
-		thread_lock(t);
-		if (t->t_state == TS_STOPPED) {
-			runin = runout = 0;
-			wake_sched = 0;
-			t->t_whystop = 0;
-			t->t_whatstop = 0;
-			t->t_schedflag &= ~TS_ALLSTART;
-			THREAD_TRANSITION(t);
-			setfrontdq(t);
-		}
-		thread_unlock(t);
 	}
 }
 
--- old/usr/src/uts/common/os/condvar.c	2015-05-08 18:10:28.276372227 -0400
+++ new/usr/src/uts/common/os/condvar.c	2015-05-08 18:10:28.283330281 -0400
@@ -193,7 +193,6 @@
 		return;
 	ASSERT(!quiesce_active);
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	thread_lock(curthread);			/* lock the thread */
 	cv_block((condvar_impl_t *)cvp);
 	thread_unlock_nopreempt(curthread);	/* unlock the waiters field */
@@ -326,7 +325,6 @@
 	}
 	ASSERT(t->t_intr == NULL);
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	cancel_pending = schedctl_cancel_pending();
 	lwp->lwp_asleep = 1;
 	lwp->lwp_sysabort = 0;
@@ -554,8 +552,6 @@
 	thread_lock(t);
 	t->t_kpri_req = 0;	/* don't need kernel priority */
 	cv_block_sig(t, (condvar_impl_t *)cvp);
-	/* I can be swapped now */
-	curthread->t_schedflag &= ~TS_DONT_SWAP;
 	thread_unlock_nopreempt(t);
 	mutex_exit(mp);
 	if (ISSIG(t, JUSTLOOKING) || MUSTRETURN(p, t) || cancel_pending)
@@ -564,8 +560,6 @@
 	swtch();
 	signalled = (t->t_schedflag & TS_SIGNALLED);
 	t->t_flag &= ~T_WAKEABLE;
-	/* TS_DONT_SWAP set by disp() */
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	mutex_enter(mp);
 	if (ISSIG_PENDING(t, lwp, p)) {
 		mutex_exit(mp);
--- old/usr/src/uts/common/os/cpu.c	2015-05-08 18:10:28.492808583 -0400
+++ new/usr/src/uts/common/os/cpu.c	2015-05-08 18:10:28.499679839 -0400
@@ -301,10 +301,6 @@
 	kstat_named_t pgpgin;
 	kstat_named_t pgout;
 	kstat_named_t pgpgout;
-	kstat_named_t swapin;
-	kstat_named_t pgswapin;
-	kstat_named_t swapout;
-	kstat_named_t pgswapout;
 	kstat_named_t zfod;
 	kstat_named_t dfree;
 	kstat_named_t scan;
@@ -333,10 +329,6 @@
 	{ "pgpgin",		KSTAT_DATA_UINT64 },
 	{ "pgout",		KSTAT_DATA_UINT64 },
 	{ "pgpgout",		KSTAT_DATA_UINT64 },
-	{ "swapin",		KSTAT_DATA_UINT64 },
-	{ "pgswapin",		KSTAT_DATA_UINT64 },
-	{ "swapout",		KSTAT_DATA_UINT64 },
-	{ "pgswapout",		KSTAT_DATA_UINT64 },
 	{ "zfod",		KSTAT_DATA_UINT64 },
 	{ "dfree",		KSTAT_DATA_UINT64 },
 	{ "scan",		KSTAT_DATA_UINT64 },
@@ -2682,13 +2674,10 @@
 				(void) dispdeq(tp);
 				setbackdq(tp);
 				/*
-				 * Either on the bound CPU's disp queue now,
-				 * or swapped out or on the swap queue.
+				 * On the bound CPU's disp queue now.
 				 */
 				ASSERT(tp->t_disp_queue == cp->cpu_disp ||
-				    tp->t_weakbound_cpu == ocp ||
-				    (tp->t_schedflag & (TS_LOAD | TS_ON_SWAPQ))
-				    != TS_LOAD);
+				    tp->t_weakbound_cpu == ocp);
 			}
 		}
 	}
@@ -3291,10 +3280,6 @@
 	cvskd->pgpgin.value.ui64 = cvs->pgpgin;
 	cvskd->pgout.value.ui64 = cvs->pgout;
 	cvskd->pgpgout.value.ui64 = cvs->pgpgout;
-	cvskd->swapin.value.ui64 = cvs->swapin;
-	cvskd->pgswapin.value.ui64 = cvs->pgswapin;
-	cvskd->swapout.value.ui64 = cvs->swapout;
-	cvskd->pgswapout.value.ui64 = cvs->pgswapout;
 	cvskd->zfod.value.ui64 = cvs->zfod;
 	cvskd->dfree.value.ui64 = cvs->dfree;
 	cvskd->scan.value.ui64 = cvs->scan;
@@ -3421,10 +3406,6 @@
 	cso->cpu_vminfo.pgpgin		= CPU_STATS(cp, vm.pgpgin);
 	cso->cpu_vminfo.pgout		= CPU_STATS(cp, vm.pgout);
 	cso->cpu_vminfo.pgpgout		= CPU_STATS(cp, vm.pgpgout);
-	cso->cpu_vminfo.swapin		= CPU_STATS(cp, vm.swapin);
-	cso->cpu_vminfo.pgswapin	= CPU_STATS(cp, vm.pgswapin);
-	cso->cpu_vminfo.swapout		= CPU_STATS(cp, vm.swapout);
-	cso->cpu_vminfo.pgswapout	= CPU_STATS(cp, vm.pgswapout);
 	cso->cpu_vminfo.zfod		= CPU_STATS(cp, vm.zfod);
 	cso->cpu_vminfo.dfree		= CPU_STATS(cp, vm.dfree);
 	cso->cpu_vminfo.scan		= CPU_STATS(cp, vm.scan);
--- old/usr/src/uts/common/os/dumpsubr.c	2015-05-08 18:10:28.792784411 -0400
+++ new/usr/src/uts/common/os/dumpsubr.c	2015-05-08 18:10:28.799582122 -0400
@@ -660,7 +660,7 @@
 
 /*
  * Dump the <as, va, pfn> information for a given address space.
- * SEGOP_DUMP() will call dump_addpage() for each page in the segment.
+ * segop_dump() will call dump_addpage() for each page in the segment.
  */
 static void
 dump_as(struct as *as)
@@ -673,7 +673,7 @@
 			break;
 		if (seg->s_ops == NULL)
 			continue;
-		SEGOP_DUMP(seg);
+		segop_dump(seg);
 	}
 	AS_LOCK_EXIT(as, &as->a_lock);
 
--- old/usr/src/uts/common/os/exec.c	2015-05-08 18:10:29.023869682 -0400
+++ new/usr/src/uts/common/os/exec.c	2015-05-08 18:10:29.030838518 -0400
@@ -1276,7 +1276,7 @@
 			AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 			seg = as_segat(curproc->p_as, (caddr_t)end);
 			if (seg != NULL)
-				SEGOP_GETPROT(seg, (caddr_t)end, zfoddiff - 1,
+				segop_getprot(seg, (caddr_t)end, zfoddiff - 1,
 				    &zprot);
 			AS_LOCK_EXIT(as, &as->a_lock);
 
--- old/usr/src/uts/common/os/lgrp.c	2015-05-08 18:10:29.278806339 -0400
+++ new/usr/src/uts/common/os/lgrp.c	2015-05-08 18:10:29.285760962 -0400
@@ -3501,24 +3501,7 @@
 lgrp_mem_policy_info_t *
 lgrp_mem_policy_get(struct seg *seg, caddr_t vaddr)
 {
-	lgrp_mem_policy_info_t	*policy_info;
-	extern struct seg_ops	segspt_ops;
-	extern struct seg_ops	segspt_shmops;
-
-	/*
-	 * This is for binary compatibility to protect against third party
-	 * segment drivers which haven't recompiled to allow for
-	 * SEGOP_GETPOLICY()
-	 */
-	if (seg->s_ops != &segvn_ops && seg->s_ops != &segspt_ops &&
-	    seg->s_ops != &segspt_shmops)
-		return (NULL);
-
-	policy_info = NULL;
-	if (seg->s_ops->getpolicy != NULL)
-		policy_info = SEGOP_GETPOLICY(seg, vaddr);
-
-	return (policy_info);
+	return (segop_getpolicy(seg, vaddr));
 }
 
 /*
--- old/usr/src/uts/common/os/mmapobj.c	2015-05-08 18:10:29.597676820 -0400
+++ new/usr/src/uts/common/os/mmapobj.c	2015-05-08 18:10:29.604527925 -0400
@@ -1488,7 +1488,7 @@
 			seg = as_findseg(as, myaddr, 0);
 			MOBJ_STAT_ADD(exec_addr_mapped);
 			if (seg && seg->s_ops == &segdev_ops &&
-			    ((SEGOP_GETTYPE(seg, myaddr) &
+			    ((segop_gettype(seg, myaddr) &
 			    (MAP_SHARED | MAP_PRIVATE)) == 0) &&
 			    myaddr >= seg->s_base &&
 			    myaddr + mylen <=
--- old/usr/src/uts/common/os/panic.c	2015-05-08 18:10:29.863090986 -0400
+++ new/usr/src/uts/common/os/panic.c	2015-05-08 18:10:29.869899833 -0400
@@ -223,7 +223,6 @@
 	(void) setjmp(&t->t_pcb);
 	t->t_flag |= T_PANIC;
 
-	t->t_schedflag |= TS_DONT_SWAP;
 	t->t_bound_cpu = cp;
 	t->t_preempt++;
 
